<?php

/*
* phpMySport : website for team sport clubs and leagues
*
* Copyright (C) 2006-2007 Jerome PLACE. All rights reserved.
*
* Email           : djayp [at] users.sourceforge.net
* Website         : http://phpmysport.sourceforge.net
* Version         : 1.2
* Last updtate    : 3 march 2007
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
*/



/****************/
/* PHP SESSIONS */
/****************/
session_start();

/***************************/
/* VARIABLES et CONSTANTES */
/***************************/
define("VERSION_SITE","1.2"); # script version
$page=array();
$index=array();
/***************************/

/*******************/
/* REQUIRED FILES  */
/*******************/
@include_once("include/conf.php");

if(!defined("SITE_OPEN")) define("SITE_OPEN","1");
if(!defined("SITE_TITLE")) define("SITE_TITLE","");
if(!defined("ROOT")) define("ROOT",".");
if(!defined("ROOT_URL")) define("ROOT_URL",".");

if(!defined("CONF_INCLUDED")) { header("location:installation/"); exit(); }
#elseif(SITE_OPEN==0) { $var=""; }
elseif(VERSION_SITE==VERSION && file_exists(ROOT."/installation/index.php"))
{
 header("location:".ROOT_URL."/installation/index.php?lg=".LANG."&r=message"); 
 exit();
}
elseif(VERSION_SITE!=VERSION)
{
 header("location:".ROOT_URL."/installation/index.php?lg=".LANG."&r=update"); 
 exit();
}

require_once(ROOT."/include/form.php");
require_once(ROOT."/include/sgbd.php");
include_once(ROOT."/include/fonction.php");

/* fichiers communs */
/*
require_once(ROOT."/image/sql_image.php");
include_once(ROOT."/include/image.php");
include_once(ROOT."/include/search.php");
*/

/***************************/

/************************/
/* LANGUAGE MANAGEMENT  */
/************************/
if(!@include_once(ROOT."/include/lg_general_".LANG.".php"))
{
 echo "ERREUR : Language not supported/Langue non supporte";
 exit();
}

setlocale(LC_ALL, $lang['general']['setlocale_parameters']); # define local language
/*************************/


/*************************/
/* TEMPLATES MANAGEMENT  */
/*************************/
include(ROOT."/include/template.php");
/*************************/

require_once(ROOT."/member/sql_member.php");
require_once(ROOT."/member/lg_member_".LANG.".php");

/* Admin status management
1 : admin 
2 : super admin
other : rien
*/
$admin=0;

if(isset($_SESSION['session_status']) AND $_SESSION['session_status']=="2")
{
 $admin=1;
 define("ADMIN","1",1);
}
elseif(isset($_SESSION['session_status']) AND $_SESSION['session_status']=="1")
{
 define("ADMIN","0",1);
}
elseif(isset($_SESSION['session_status']) AND $_SESSION['session_status']=="3")
{
 define("ADMIN","0",1);
}
else
{
 define("ADMIN","0",1);
}

if(isset($_SESSION['session_member_id'])) { define("MEMBRE","1",1); define("MEMBRE_ID",$_SESSION['session_member_id'],1); }
else { define("MEMBRE","0",1); define("MEMBRE_ID","0",1); }
/* END SESSIONS */



/* AUTO CONNEXION
si il y a un cookie valid, que le member n'est pas
deja connecte et qu'on est pas deja sur la page de connection,
on redirige vers la page de connection
*/
/*
if(isset($_COOKIE['auto_connection']) AND $_COOKIE['auto_connection']==1
AND (!isset($_SESSION['session_member_id']) OR $_SESSION['session_member_id']==0)
AND (!isset($_GET['v1']) OR $_GET['v1']!="login"))
{
 $url_redirection=convert_url("index.php?lg=".LANG."&s=".SECTION."&r=".$lang['general']['idurl_member']."&v1=login");
 header("location:".$url_redirection);
 exit();
}
*/

/********************************/
/* PLUGIN MANAGEMENT   */
/********************************/
include_once(ROOT."/plugin/plugin_list.php");


/* FILES AND PERMISSIONS */
/* Define the access of the files by everybody (defaut) members (0), admin (1) and super admin (2)*/

$droit_defaut=array("view","member_list",
"news_list","view_news",
"club_list","view_club",
"competition_list","view_competition",
"team_list","view_team","coach_list","player_list",
"page_list",
"field_list",
"match_list","statistique_match","standings","stats_player",
"member_list","manager_list",
"login","logout","form_proposer_site","form_member",
"forum_list",
"image_manager");

$droit_admin_0=array("home_member","profile");
$droit_admin_1=array();
$droit_admin_2=array(
"configuration","admin",
"form_news",
"form_club",
"form_competition","season_list",
"form_team","team_name_list","position_list",
"form_page",
"form_field",
"form_match","action_list","field_state_list","weather_list","period_list","stats_list", "stats_player_list",
"form_member","position_list","level_list","country_list","sex_list",
"form_forum");

# we add the files of the several plugins
if(isset($plugin_admin) AND !empty($plugin_admin)) {
 $droit_admin_2=array_merge($droit_admin_2,$plugin_admin);
}



$affichage=1;
if(isset($_GET['v1']) AND $_GET['v1']!="")
{
 if(in_array($_GET['v1'],$droit_admin_0) AND (!isset($_SESSION['session_status']) OR $_SESSION['session_status']<"0"))
 {
  $page['L_title']=$lang['general']['acces_reserve'];
  $affichage=0;
  $page['template']=$tpl['general']['message'];
  $page['L_message']=$lang['general']['acces_reserve_member'];
  $page['erreur']=array();
 }
 if(in_array($_GET['v1'],$droit_admin_1) AND (!isset($_SESSION['session_status']) OR $_SESSION['session_status']<"1"))
 {
  $page['L_title']=$lang['general']['acces_reserve'];
  $affichage=0;
  $page['template']=$tpl['general']['message'];
  $page['L_message']=$lang['general']['acces_reserve_admin'];
  $page['erreur']=array();
 }
 if(in_array($_GET['v1'],$droit_admin_2) AND (!isset($_SESSION['session_status']) OR $_SESSION['session_status']<"2"))
 {
  $page['L_title']=$lang['general']['acces_reserve'];
  $affichage=0;
  $page['template']=$tpl['general']['message'];
  $page['L_message']=$lang['general']['acces_reserve_admin'];
  $page['erreur']=array();
 }
}


if(isset($_GET['v2']) AND $_GET['v2']=="message" AND (!isset($_SESSION['session_status']) OR $_SESSION['session_status']<"0"))
{
 $page['L_title']=$lang['general']['acces_reserve'];
 $affichage=0;
 $page['template']=$tpl['general']['message'];
 $page['L_message']=$lang['general']['acces_reserve_member'];
 $page['erreur']=array();
}

/* END FILES AND PERMISSIONS */

/***************************/
/* SIGN IN FORM            */
/***************************/
$index['menu_member']="";
$index['form_connection']="";

if(!isset($_SESSION['session_login']))
{
 include_once(ROOT."/member/form_connection.php");
 $index['form_connection']="1";
} 
else
{
 include_once(ROOT."/member/menu_member.php");
 $index['menu_member']="1";
}

/****************************/
/* MENUS                    */
/****************************/
include_once(ROOT."/menu.php");

// menu admin
$index['menu_admin']="";
if(isset($_SESSION['session_status']) AND $_SESSION['session_status']=="2")
{
 include_once(ROOT."/administration/menu_admin.php");
 $index['menu_admin']="1";
}

// we check if the site is open
if(SITE_OPEN!=1 AND (!isset($_GET['v1']) OR $_GET['v1']!="login") AND (!isset($_SESSION['session_status']) OR $_SESSION['session_status']<"2"))
{
 $page['L_title']=$lang['general']['site_construction'];
 $affichage=0;
 $page['template']=$tpl['general']['message'];
 $page['L_message']=$lang['general']['site_construction_text'];
 $page['erreur']=array();
}

/********************************/
/* PAGE TO INCLUDE MANAGEMENT   */
/********************************/
/*
Important : l'url de la page est de type : index.php?lg=XX&r=xxxxxx&v1=xxxxx
selon l'url, on regarde dans quelle rubrique on est (variable $_GET['r'])
puis eventuellement dans quelle sous-rubrique  $_GET['v1']
*/

$index['class_home']="";
$index['class_news']="";
$index['class_information']="";
$index['class_club']="";
$index['class_match']="";
$index['class_member']="";
$index['class_image']="";
$index['class_team']="";
$index['class_forum']="";
$index['class_competition']="";
$index['class_field']="";
$index['class_forum']="";

$in_plugin=0;
/* if the page can be included */
if($affichage==1)
{
/* we look at the section (rubrique) */
 if(isset($_GET['r']) AND $_GET['r']!="")
 {
 /* rubrique administration */
 switch($_GET['r']) {
  case $lang['general']['idurl_admin'] : require_once(ROOT."/administration/include.php"); $index['class_home']="on"; break;
  case $lang['general']['idurl_news'] : require_once(ROOT."/news/include.php"); $index['class_news']="on"; break;
  case $lang['general']['idurl_information'] : require_once(ROOT."/information/include.php"); $index['class_information']="on"; break;
  case $lang['general']['idurl_club'] : require_once(ROOT."/club/include.php"); $index['class_club']="on"; break;
  case $lang['general']['idurl_match'] : require_once(ROOT."/match/include.php"); $index['class_match']="on"; break;
  case $lang['general']['idurl_member'] : require_once(ROOT."/member/include.php"); $index['class_member']="on"; break;
  case $lang['general']['idurl_file'] : require_once(ROOT."/file/include.php"); $index['class_file']=""; break;
  case $lang['general']['idurl_team'] : require_once(ROOT."/team/include.php"); $index['class_team']="on"; break;
  case $lang['general']['idurl_forum'] : require_once(ROOT."/forum/include.php"); $index['class_forum']="on"; break;
  case $lang['general']['idurl_competition'] : require_once(ROOT."/competition/include.php"); $index['class_competition']="on"; break;
  case $lang['general']['idurl_field'] : require_once(ROOT."/field/include.php"); $index['class_field']="on"; break;
  case $lang['general']['idurl_forum'] : require_once(ROOT."/forum/include.php"); $index['class_forum']="on"; break;
  case $lang['general']['idurl_file'] : require_once(ROOT."/file/include.php");  break;   
  default : 
   # if plugin
   if(in_array($_GET['r'],$plugin_list))
   {
    $key=array_search($_GET['r'], $plugin_list); # we search for the key corresponding to the value	
	$plugin[$key]['class']="on";
	require_once($plugin[$key]['root']."/include.php");
	$in_plugin=1;
   }
   else { require_once(ROOT."/home.php"); $index['class_home']="on"; }
  }
 }
 else
 {
  require_once(ROOT."/home.php"); $index['class_home']="on";
 }
 
 if(CLUB!=0){

  if(isset($_GET['r']) AND $_GET['r']==$lang['general']['idurl_club'] AND isset($_GET['v2']) AND $_GET['v2']==CLUB) 
  { 
   $index['class_information']="on";
   $index['class_club']="";
  }
 }
}
/***************************/



/**********************/
/* Text elements   */
/**********************/
$index['L_realisation']=$lang['general']['realisation'];
$index['L_confirmation']=$lang['general']['confirmation_suppression'];
$index['link_choose_file']=convert_url("index.php?r=".$lang['general']['idurl_file']."&v1=image_manager&fen=pop",0);


/******************************************/
/* META : TITLE, DESCRIPTION AND KEYWORDS */
/******************************************/
/*
we look if there is a title, a description and keywword if the included page.
If there is not, we add the default information 
*/

$index['meta_lang']=LANG;

/* title */
if(isset($page['meta_title']) AND $page['meta_title']!="") { $index['meta_title']=SITE_TITLE." &gt; ".$page['meta_title']; }
else { $index['meta_title']=SITE_TITLE; }

/* description */
if(isset($page['meta_description']) AND $page['meta_description']!="") { $index['meta_description']=$page['meta_description']; }
else { $index['meta_description']=$lang['general']['meta_description']; }

/* mots cles */
if(isset($page['meta_keyword']) AND $page['meta_keyword']!="") { $index['meta_keyword']=$page['meta_keyword']; }
else { $index['meta_keyword']=$lang['general']['meta_keyword']; }

/* url */
$index['meta_url']=ROOT_URL;
$index['page_url']=ROOT_URL;
if(isset($_SERVER['QUERY_STRING']) AND $_SERVER['QUERY_STRING']!="")
{ $index['page_url']=convert_url("index.php?".$_SERVER['QUERY_STRING']); }

/*****************************************/


/**********************/
/* PAGE MAIN CONTENT  */
/**********************/
/* on cherche si le contenu a un template declare */
/* si ce n'est pas le cas, erreur, sinon on charge le contenu */
if(!isset($page['template']))
{
 $page['template']=$tpl['general']['message'];
 $page['L_message']="Template non trouv";
 $page['erreur']=array();
}
if($in_plugin==1) { $index['contenu']=parse_template(ROOT."/plugin/".$page['template'],$page); }
else { $index['contenu']=parse_template(TPL_URL.$page['template'],$page); }
/**********************/


/***********************/
/* PAGE CREATION       */
/***********************/
/*
 choix du template principal :
 page normale (par defaut), pop-up ou page pour impression
*/
if(eregi("fen_pop",$_SERVER['QUERY_STRING'])) $page['fen']="pop";
if(eregi("fen_impression",$_SERVER['QUERY_STRING'])) $page['fen']="impression";

if(isset($page['fen']) AND $page['fen']=="pop")
{
 $template=$tpl['general']['pop'];
 echo parse_template(TPL_URL.$template,$index);
}
elseif(isset($_GET['fen']) AND $_GET['fen']=="pop")
{
 $template=$tpl['general']['pop'];
 echo parse_template(TPL_URL.$template,$index);
}
elseif(isset($page['fen']) AND $page['fen']=="ajax")
{
 echo $index['contenu'];
}
elseif(isset($page['fen']) AND $page['fen']=="impression")
{
 $template=$tpl['general']['imprime'];
 echo parse_template(TPL_URL.$template,$index);
}
else
{
 $template=$tpl['general']['index'];
 echo parse_template(TPL_URL.$template,$index);
}


/***********************/
?>